package com.tashow.cloud.app.mq.producer.buriedPoint;

import com.tashow.cloud.app.mq.message.BuriedMessages;
import com.tashow.cloud.common.util.json.JsonUtils;
import com.tashow.cloud.mq.rabbitmq.producer.AbstractRabbitMQProducer;
import org.springframework.amqp.core.ReturnedMessage;
import org.springframework.stereotype.Component;

/**
 * 埋点消息生产者
 */
@Component
public class BuriedPointProducer extends AbstractRabbitMQProducer<BuriedMessages> {

    @Override
    public void returnedMessage(ReturnedMessage returned) {

    }

    @Override
    public String getExchange() {
        return BuriedMessages.EXCHANGE;
    }

    @Override
    public String getRoutingKey() {
        return BuriedMessages.ROUTING_KEY;
    }


} 